## EXPORT_SPEC int UpnpAddToPropertySet

## ( IN OUT IXML_Document** PropSet,
IN const char* ArgName,
IN const char* ArgVal )

> UpnpAddToPropertySet can be used when an application needs to transfer the status of many variables at once.

## Documentation

> UpnpAddToPropertySet can be used when an application needs to transfer the status of many variables at once. It can be used (inside a loop) to add some extra status variables into an existing property set. If the application does not already have a property set document, the application should create a variable initialized with `NULL` and pass that as the first parameter.

Parameters:
  PropSet - A pointer to the document containing the property set document node.
  ArgName - The status variable name.
  ArgVal - The status variable value.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: One or more of the parameters are invalid.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.